Subject: Back to the GNOME stuff

From: Rob Speer <[email-masked]>
Date: Mon, 14 May 2001 21:21:31 -0400

I just re-read parts of the Book and found the chapter on the standard methods
of defining the place structure for a lujvo, which I had skimmed over the first
time. I didn't even realize there were standard methods. So, so that I don't
needlessly increase the number of undefined lujvo there are, here are the place
structures for all the lujvo I've used in my translation of GNOME 1.4 (which is
17% done).

(After taking a good look at the place structures of some words, I
decided to change which lujvo to use. The ones I changed or which are new since
I last brought the words up for discussion have an asterisk.)

datnyvei: datni vreji: file
v1 is a file containing data v2=d1 about v3=d2 in format v4

samru'e: skami pruce: running process; task
p1 is a computer process with inputs p2, outputs p3, passing through
stages/"pipes" p4

gunsfe: gunka sefta: desktop
s1 is a surface for working on g2

* gunsfeja'o: gunka sefta jarco: desktop show-er
(a program which lets you view and switch desktops)
j1 shows desktop j2=s1 to user j3=g1
(changed back from {gunsfexra})

plijdu: pilno sidju: tooltip
s1 is information that helps s2=p1 to use tool p2

* selviska'e: se viska kakne: visible
k1=v2 is able to be seen by v1 under conditions k3=v3
(changed from {viska'e})

vidnysle: vidni selci: pixel
s1 is a pixel of screen s2=v1

mutmi'i: mucti minji: computer program (abstract concept)
mi1=mu1 is a program for use mi2

* mlumu'uxra: simlu muvdu pixra: animation
p1=m1=s1 is an animation showing p2 with frames m4
(changed from {mu'uxra})

* datnycpe: datni cpedu: dialog (datnycpe canko = dialog box)
c1 is a request for information c2=d1 about d2 by method c4=d3 by
questioner c3

* nermutmi'i: nenri [ke] mucti minji: applet
(program which runs within another program)
mi1=mu1=n1 is an applet for use mi2 running within program n2
(changed from {cmamutmi'i})

mutmi'izba: [skami bangu] mucti minji zbasu: compiler
z1 makes program z2=mi1=mu1 for use mi2 from source code z3=p1=b3 in
language b4

* datnysro: datni sorcu: data storage (disk or memory)
s1 is storage for information s2=d1 about d2
(switched from {datnyvau})

* datnymo'i: datni morji: memory
m1 temporarily stores, to be recalled, information m2=d1 about d2

* datnyvau: datni vasru: clipboard
v1 holds information v2=d1 about d2
(switched from {datnysro})

tedytcika: terdi tcika: universal time
tc1 is the time of state/event tc2 on day tc3, in the UTC standard

* sivyvla: sivni valsi: password
v1=s1 is a password which enables event v2, known by s2

* termrita'e: te mrilu tanxe: mailbox
t1=m3 is a box which recieves mail t2=m2 from network/system m5

* primi'i: prina minji: printer
m1=p3 is a machine which prints p1 onto medium p2

* fukcrupo'e: [temci ke] [nu] fukpi curmi ponse: copyright
p1 holds the copyright to p2=nu1 since date t2
(I accompany this with the (C) symbol so I don't offend a non-Lojbanist FSF
lawyer. Would it be better to leave the copyright notice in English?)

* plixra: pilno pixra: usable picture; 'widget'
pix1=pil2 is a widget used for purpose pil3

--
Rob Speer